package org.dromara.system.domain.enums;

import lombok.Getter;

/**
 * @author lilemy
 * @date 2025/7/18 9:41
 */
@Getter
public enum SysDeptTypeEnum {

    COMPANY("1", "总公司"),
    SUB_COMPANY("2", "子公司"),
    SPECIAL("3", "特殊"),
    PROJECT("4", "项目"),
    CONTRACT("5", "分包");

    private final String code;

    private final String message;

    SysDeptTypeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

}
